Subject: Re: rm -i not working
From: [email-masked] (Roland Orre)

24 Oct 1996 23:55:38 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked] (Roland Orre)
Original-To: [email-masked]
Original-CC: Colman Curtin <[email-masked]>
Original-Sender: [email-masked]

Colman Curtin wrote:
>>Has any one noticed the following problem:
>>  ~/mydir> rm -i foo.bar
>>doesn't work!
>>
>>--
>>Weiqi Gao
>>[email-masked]
>>
>Yes I saw this too but if you type
>~/mydir> rm -i foo.*
>it will work for the 2nd and successive files found.
>after that I don't know.
>
>Coley.

Yes, I noticed this when I downloaded beta16. This seem to be some kind of
CR-LF file handling (EOL?) problem.

If you do:
~/mydir> rm -i foo.*
and end with a linefeed (Cntrl-J) instead of CR it works fine. The problem is
probably within bash because if you do the same in a DOS shell it works fine.

	Roland
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".